%define name	opengroupware-gstep-make
%define version	4.2
%define major	1
%define minor	3
%define subminor 0	
%define cvs     20040523
%define rel %mkrel 2
%define release	%{cvs}.%{rel}

Summary:     OpenGroupware.org GNUstep Environment
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     GPL
URL: 	     http://www.opengroupware.org
Group:       System/Libraries
Prefix:      %{_libdir}/opengroupware.org/system
BuildRoot:   %{_tmppath}/%{name}-buildroot
Source:      opengroupware.org-gstep-make-%{cvs}.tar.bz2

%description
This package contains the OpenGroupware.org variant of the GNUstep makefile
package, more specifically, the files required for setting up the
environment.

%package devel
Summary:  The Makefiles for the OpenGroupware.org GNUstep environment
Group:    Development/Other
Requires: %{name}

%description devel
The devel package contains the actual makefiles of the GNUstep
makefile package.

%prep

%setup -q -n opengroupware.org-gstep-make

%build

%install
GNUSTEP_SYSTEM_ROOT=''     && unset GNUSTEP_SYSTEM_ROOT
GNUSTEP_MAKEFILES=''       && unset GNUSTEP_MAKEFILES
GNUSTEP_LOCAL_ROOT=''      && unset GNUSTEP_LOCAL_ROOT
GNUSTEP_USER_ROOT=''       && unset GNUSTEP_USER_ROOT
LIBRARY_COMBO=''           && unset LIBRARY_COMBO
GNUSTEP_HOST=''            && unset GNUSTEP_HOST
GNUSTEP_HOST_CPU=''        && unset GNUSTEP_HOST_CPU
GNUSTEP_HOST_VENDOR=''     && unset GNUSTEP_HOST_VENDOR
GNUSTEP_HOST_OS=''         && unset GNUSTEP_HOST_OS
GNUSTEP_PATHPREFIX_LIST='' && unset GNUSTEP_PATHPREFIX_LIST

SKY_INSTALL_ROOT="${RPM_BUILD_ROOT}%{prefix}"

if test -d ${SKY_INSTALL_ROOT}/Makefiles; then
  rm -r ${SKY_INSTALL_ROOT}/Makefiles
fi
if test -f ${SKY_INSTALL_ROOT}/share/config.site; then
  rm -r ${SKY_INSTALL_ROOT}/share/config.site
fi

rm -f config.cache
sh ./configure --quiet \
               --prefix=${SKY_INSTALL_ROOT} \
	       --libdir=%{_libdir} \
               --without-system-root \
               --with-network-root=${SKY_INSTALL_ROOT} \
               --with-local-root=${SKY_INSTALL_ROOT} \
               --with-library-combo=gnu-fd-nil

make -s install   >.imake.log
make -s distclean >.distclean.log
cp patch-make.sh ${SKY_INSTALL_ROOT}/Makefiles/
source ${SKY_INSTALL_ROOT}/Makefiles/GNUstep.sh

# install config.guess

GUESS=`${GNUSTEP_SYSTEM_ROOT}/Makefiles/config.guess`
echo "#!/bin/sh" >${GNUSTEP_SYSTEM_ROOT}/Makefiles/config.guess
echo "echo \"$GUESS\"" >>${GNUSTEP_SYSTEM_ROOT}/Makefiles/config.guess

# patch makefile, create new

source ${SKY_INSTALL_ROOT}/Makefiles/patch-make.sh \
    ${RPM_BUILD_ROOT}%{prefix} \
    %{prefix}

# package sources

if ! test -d ${GNUSTEP_SYSTEM_ROOT}/Library/Sources; then
  mkdir ${GNUSTEP_SYSTEM_ROOT}/Library/Sources;
fi

#tar zcf ${GNUSTEP_SYSTEM_ROOT}/Library/Sources/make.tgz ../opengroupware.org-gstep-make


rm -f ${RPM_BUILD_ROOT}%{prefix}/Makefiles/GNUstep.csh \
   ${RPM_BUILD_ROOT}%{prefix}/Makefiles/GNUstep.sh.build \
   ${RPM_BUILD_ROOT}%{prefix}/Makefiles/ld_lib_path.csh \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/debugapp \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/openapp \
   ${RPM_BUILD_ROOT}%{prefix}/Tools/opentool \


%post

if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi

cd ${RPM_INSTALL_PREFIX}


# ----- patch GNUstep.sh for installed location

if test "x${RPM_INSTALL_PREFIX}" != "x%{prefix}"; then
  mv ${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh \
     ${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh.in
  
  sed "s|%{prefix}|${RPM_INSTALL_PREFIX}|g" \
      <${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh.in \
      >${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh
  
  rm ${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh.in
fi

# ----- load GNUstep.sh ..

source ${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh
%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(-,root,root,-)
%{prefix}/Makefiles/*.make
%{prefix}/Makefiles/*.template
%{prefix}/Makefiles/Instance
%{prefix}/Makefiles/Master
%{prefix}/Makefiles/config.make

%files 
%defattr(-,root,root)
%doc README ANNOUNCE INSTALL NEWS ChangeLog ChangeLog.skyrix COPYING GNUstep-HOWTO Version
%{prefix}/share/config.site
%{prefix}/Makefiles/Additional
%{prefix}/Makefiles/config.guess
%{prefix}/Makefiles/config.sub
%{prefix}/Makefiles/mkinstalldirs
%{prefix}/Makefiles/*.sh
%{prefix}/Makefiles/install-sh
%{prefix}/Makefiles/user_home
%{prefix}/Makefiles/which_lib

%changelog
* Thu Mar 10 2005 Olivier Thauvin <nanardon@mandrake.org> 4.2-20040523.2mdk
- fix file list
- mkrel aware

* Sun May 23 2004 Spencer Anderson <sdander@oberon.ark.com> 4.2-20040523.1mdk
- 20040523
- make arch aware

* Wed Feb 4 2004 Spencer Anderson <sdander@oberon.ark.com> 4.2-20040204.1mdk
- 20040204

* Wed Dec 3 2003 Spencer Anderson <sdander@oberon.ark.com> 4.2-20031201.1mdk
- new snapshot - many bugfixes

* Sun Oct 5 2003 Spencer Anderson <sdander@oberon.ark.com> 4.2-20031001.1mdk
- new version
- specfile cleanup

* Mon Sep 1 2003 Austin Acton <aacton@yorku.ca> 4.2-20030721.1mdk
- from Spencer Anderson <sdander@oberon.ark.com> :
  - first Mandrake release
  - based on Redhat specfile

